Bug 29767 - Add cash registers, debit and credit types to report runtime parameters
Summary: Add cash registers, debit and credit types to report runtime parameters
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jérémy Breuillard
QA Contact: Testopia
URL:
Keywords: Manual, release-notes-needed
: 29766 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-12-23 13:22 UTC by Jérémy Breuillard
Modified: 2022-02-11 12:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
MT 28590: SQL Koha reports and variable of database table << name|table_name>> (7.65 KB, patch)
2021-12-23 13:35 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 29767: SQL Koha reports and variable of database table << name|table_name>> (7.60 KB, patch)
2021-12-23 13:41 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 29767: SQL Koha reports and variable of database table << name|table_name>> (7.57 KB, patch)
2021-12-23 13:56 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 29767: SQL Koha reports and variable of database table << name|table_name>> (7.54 KB, patch)
2021-12-23 15:33 UTC, Jérémy Breuillard
Details | Diff | Splinter Review
Bug 29767: SQL Koha reports and variable of database table << name|table_name>> (7.59 KB, patch)
2022-01-05 22:29 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29767: SQL Koha reports and variable of database table << name|table_name>> (7.70 KB, patch)
2022-01-30 13:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29767: (QA follow-up) Make singular/plural forms consistent (2.60 KB, patch)
2022-01-30 13:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jérémy Breuillard 2021-12-23 13:22:45 UTC
To make some SQL cash reports it could be good to have more options in the dropdown menu "Insert runtime parameter"
Comment 1 Jérémy Breuillard 2021-12-23 13:33:51 UTC Comment hidden (obsolete)
Comment 2 Jérémy Breuillard 2021-12-23 13:35:49 UTC Comment hidden (obsolete)
Comment 3 Jérémy Breuillard 2021-12-23 13:41:34 UTC Comment hidden (obsolete)
Comment 4 Julian Maurice 2021-12-23 13:46:37 UTC
QA script reports the following errors:

 FAIL   koha-tmpl/intranet-tmpl/prog/en/modules/reports/guided_reports_start.tt
   FAIL   forbidden patterns
                forbidden pattern: trailing space char (line 1651)

 FAIL   reports/guided_reports.pl
   FAIL   forbidden patterns
                forbidden pattern: trailing space char (line 903)
Comment 5 Jérémy Breuillard 2021-12-23 13:56:32 UTC Comment hidden (obsolete)
Comment 6 Jérémy Breuillard 2021-12-23 15:33:17 UTC Comment hidden (obsolete)
Comment 7 Lucas Gass 2022-01-05 22:29:54 UTC
Created attachment 129043 [details] [review]
Bug 29767: SQL Koha reports and variable of database table << name|table_name>>

'Insert runtime parameter' has now more options for the SQL reports : 'cash register', 'debit types' and 'credit types'

Test plan:
1)Home > Reports > Create from SQL
2)Click on 'Insert runtime parameter' and notice the current options
3)Apply patch and repeat 2)
4)New parameters are now available
5)A simple SQL request to try 'credit_types' option : SELECT * FROM account_credit_types WHERE code = <<Credit types|credit_types>>

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 8 Katrin Fischer 2022-01-30 13:00:42 UTC
Hi Jeremy, please don't forget to assign any bugs you are working on/plan to work on to yourself :)
Comment 9 Katrin Fischer 2022-01-30 13:19:53 UTC
Created attachment 129979 [details] [review]
Bug 29767: SQL Koha reports and variable of database table << name|table_name>>

'Insert runtime parameter' has now more options for the SQL reports : 'cash register', 'debit types' and 'credit types'

Test plan:
1)Home > Reports > Create from SQL
2)Click on 'Insert runtime parameter' and notice the current options
3)Apply patch and repeat 2)
4)New parameters are now available
5)A simple SQL request to try 'credit_types' option : SELECT * FROM account_credit_types WHERE code = <<Credit types|credit_types>>

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=29796
Comment 10 Katrin Fischer 2022-01-30 13:19:57 UTC
Created attachment 129980 [details] [review]
Bug 29767: (QA follow-up) Make singular/plural forms consistent

Just fixes some strings to match with the other runtime
parameters in their singular and plural forms.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=29796
Comment 11 Fridolin Somers 2022-02-10 07:37:45 UTC
Please add a nice release note ;)
Comment 12 Fridolin Somers 2022-02-10 08:03:21 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄